summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-06-12 21:06:55 +0200
committerPatrick Lauer <patrick@gentoo.org>2016-06-12 21:06:55 +0200
commitd463ebfb4b2b431a89954c3f2918584d424db0a5 (patch)
treed9b2f803a7c101a790eb864bdfa5548b0064a1c4
parentdev-python/webtest: Bump (diff)
downloadgentoo-d463ebfb4b2b431a89954c3f2918584d424db0a5.tar.gz
gentoo-d463ebfb4b2b431a89954c3f2918584d424db0a5.tar.bz2
gentoo-d463ebfb4b2b431a89954c3f2918584d424db0a5.zip
dev-python/boto: Bump
Package-Manager: portage-2.3.0_rc1
-rw-r--r--dev-python/boto/Manifest1
-rw-r--r--dev-python/boto/boto-2.40.0.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/boto/Manifest b/dev-python/boto/Manifest
index b3109f3b331..52209f2e0ba 100644
--- a/dev-python/boto/Manifest
+++ b/dev-python/boto/Manifest
@@ -4,3 +4,4 @@ DIST boto-2.34.0.tar.gz 7302242 SHA256 33baab022ecb803414ad0d6cf4041d010cfc2755f
DIST boto-2.35.1.tar.gz 1367029 SHA256 62604f0fdf68a2b9a6c6bd5111c82e10281b498695152d21f56c9e4a0691d45d SHA512 4be15cbb4ccc9f984fed11213ce1e64fefe7adbc747314dc0030928f2876b55322344f325228d95209e0411ef22fe1a3bede91ffbf3e9eed1a1a2d2507bff92d WHIRLPOOL 060f3e2483a3a5be26b67a2a94df2f88a9eccb3f62cc4020e26b7ac0111d30d938638641f4c83c71095602d5b79e365de6211f884b4adbeacf6d7187bb04d071
DIST boto-2.38.0.tar.gz 1423863 SHA256 d9083f91e21df850c813b38358dc83df16d7f253180a1344ecfedce24213ecf2 SHA512 577672007348db846d041c0906806c62eb77653b1335645cc852c603f5d32991ca648aacb884676af02043914c91ab6f41666b36b5b1ae23a3a354bdf9f3f75a WHIRLPOOL de704484ed38a0d0322ef289fd0657b6d1141c0f77aa6725e338dd51d78bed39a7ef1ebdec54a659d83dae30c14196f2410507d9aeec070126bbe13565b210ba
DIST boto-2.39.0.tar.gz 1434775 SHA256 950c5bf36691df916b94ebc5679fed07f642030d39132454ec178800d5b6c58a SHA512 58afdbde3818d84b25ad330c8d417dd2400c4be40d99d7895eda94b99f9a1d86e164894c05faee71b4433ea33866be1e3fea3046b08f98577a2cd60e9dab3f3d WHIRLPOOL ea80c168ee45febe8a37a96bd8fba8eafb2b68d695e369c3f4c3974c9909d67b9f255dab5e70a6ae9bdbcae7b0ffc89f6e6b2277933571e299d2ada0d7cc773b
+DIST boto-2.40.0.tar.gz 1439746 SHA256 e12d5fca11fcabfd0acd18f78651e0f0dba60f958a0520ff4e9b73e35cd9928f SHA512 a4a2d5659a70a70c77f4713db2bb63e1c975f21746575ededd56a7220899d7dd8f4bf4d5cfe72be6a3045dc5a9e1152962c4650b09fa10703ec98bd23392d4cf WHIRLPOOL cb223e0b29c25e7190655a18402983f4c48ef0a1cfc759756a092de05470b72246afddab2ca5c7382efd7d922c029b46d8cf45c48510f3950cbd624b711fa759
diff --git a/dev-python/boto/boto-2.40.0.ebuild b/dev-python/boto/boto-2.40.0.ebuild
new file mode 100644
index 00000000000..532f9359b21
--- /dev/null
+++ b/dev-python/boto/boto-2.40.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Amazon Web Services API"
+HOMEPAGE="https://github.com/boto/boto https://pypi.python.org/pypi/boto"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+# requires Amazon Web Services keys to pass some tests
+RESTRICT="test"
+
+pkg_setup() {
+ use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
+python_test() {
+ "${PYTHON}" tests/test.py -v || die "Tests fail with ${EPYTHON}"
+}
+
+python_prepare_all() {
+ # Prevent un-needed d'loading
+ sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/source/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ # Appease the doc build and supply a file for _static
+ # the usual emake -C docs doesn't work under this authorship
+ cd docs && mkdir source/_static || die
+ emake html
+ fi
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/build/html/. )
+ distutils-r1_python_install_all
+}